# ctm_error Class Reference

OpenCTM exception. More...

`#include <openctmpp.h>`

List of all members.

## Public Member Functions

| ctm_error (CTMenum aError)
virtual const char * | what () const throw ()
CTMenum | error_code () const throw ()

## Detailed Description

OpenCTM exception.

When an error occurs, a `ctm_error` exception is thrown. Its what() function returns the name of the OpenCTM error code (for instance "CTM_INVALID_OPERATION").

## Constructor & Destructor Documentation

ctm_error::ctm_error | ( | CTMenum | aError | ) | `[inline, explicit]`

## Member Function Documentation

CTMenum ctm_error::error_code | ( |  | ) | const throw ()`[inline]`

virtual const char* ctm_error::what | ( |  | ) | const throw ()`[inline, virtual]`

The documentation for this class was generated from the following file:

- openctmpp.h

Copyright © 2009-2010 Marcus Geelnard — openctm.sourceforge.net